Create a new user under the tenant owning the JWT.
POST/api/management/v1/useradm/users
x-deprecated-description: "_since Fri Aug 21 2026_ this endpoint is deprecated. Please use\nPOST /api/management/v2/useradm/users instead. Unlike this v1 endpoint,\nthe v2 endpoint does not accept the `password` or `send_reset_password`\nfields; the new user is always sent an invitation email to set their own\npassword.\n"
since Fri Aug 21 2026 this endpoint is deprecated. Please use
POST /api/management/v2/useradm/users instead. Unlike this v1 endpoint,
the v2 endpoint does not accept the password or send_reset_password
fields; the new user is always sent an invitation email to set their own
password.
Create a new user under the tenant owning the JWT.
Request
Responses
- 201
- 400
- 401
- 422
- 500
The user was successfully created.
Response Headers
URI for the newly created 'User' resource.
Invalid Request.
Unauthorized.
The email address is duplicated, password is too short, current password doesn't match or limit on maximum number of users has been exceeded. It is possible that the user with the given email address exists in a different organization. In this case Mender server will also produce an error because the email address has to be unique across all organizations.
Internal Server Error.